#include <QCoreApplication>
#include <qlibraryinfo.h>
#include <qdebug.h>
#include <qtemporaryfile.h>

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);
    QStringList args = a.arguments();
    args.pop_front();
    qDebug() << QLibraryInfo::build()
             << '\n' << args;

    QString pattern = args.value(0, R"(\\share\dir\fileXXXXXX.txt)");
    qDebug().noquote() << "pattern=" << pattern;
    QTemporaryFile file(pattern);
    if (!file.open()) {
        qWarning() << file.fileName() << file.errorString();
        return -1;
    }
    qDebug() << file.fileName();
    return 0;
}
